import org.apache.lucene.analysis.standard.StandardAnalyzer
import org.apache.lucene.queryParser.QueryParser
import org.apache.lucene.search.IndexSearcher
import org.apache.lucene.store.FSDirectory

def indexDir = new File("index")
def q = args[0]

def fsDir = FSDirectory.getDirectory(indexDir, false)
def is = new IndexSearcher(fsDir)

def queryParser = new QueryParser("name", new StandardAnalyzer())
def query = queryParser.parse(q)

def start = new Date().time
def hits = is.search(query)
def end = new Date().time

println "Found ${hits.length()} characters in ${end - start}ms:\n"

for ( i in 0 ..< hits.length() ) {
    def doc = hits.doc(i)
    println("${doc['code']} () -> ${doc['name']}")
    println("       category: ${doc['category']}")
    println("          class: ${doc['clazz']}")
    println("           bidi: ${doc['bidi']}")
    println("  decomposition: ${doc['decomposition']}")
    println("        numeric: ${doc['numeric']}")
    println("       mirrored: ${doc['mirrored']}")
    println("      uppercase: ${doc['uppercase']}")
    println("      lowercase: ${doc['lowercase']}")
    println("      titlecase: ${doc['titlecase']}")
    println("")
}
